ESB-2017.2367 - [SUSE] kernel: Denial of service - Remote/unauthenticated 2017-09-19

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2017.2367
        SUSE Security Update: Security update for the Linux Kernel
                             19 September 2017

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           kernel
Publisher:         SUSE
Operating System:  SUSE
Impact/Access:     Denial of Service -- Remote/Unauthenticated
Resolution:        Patch/Upgrade
CVE Names:         CVE-2017-1000251  

Reference:         ESB-2017.2317

Original Bulletin: 
   https://www.suse.com/support/update/announcement/2017/suse-su-20172521-1/
   https://www.suse.com/support/update/announcement/2017/suse-su-20172523-1/

Comment: This bulletin contains two (2) SUSE security advisories.

- --------------------------BEGIN INCLUDED TEXT--------------------

   SUSE Security Update: Security update for the Linux Kernel
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:2521-1
Rating:             important
References:         #1057389 
Cross-References:   CVE-2017-1000251
Affected Products:
                    SUSE Linux Enterprise Workstation Extension 12-SP2
                    SUSE Linux Enterprise Software Development Kit 12-SP2
                    SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
                    SUSE Linux Enterprise Server 12-SP2
                    SUSE Linux Enterprise Live Patching 12
                    SUSE Linux Enterprise High Availability 12-SP2
                    SUSE Linux Enterprise Desktop 12-SP2
                    SUSE Container as a Service Platform ALL
                    OpenStack Cloud Magnum Orchestration 7
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:


   The SUSE Linux Enterprise 12 SP2 kernel was updated to receive the
   following security fixes:

   - CVE-2017-1000251: The native Bluetooth stack in the Linux Kernel was
     vulnerable to a stack overflow while processing L2CAP configuration
     responses, resulting in a potential remote denial-of-service
     vulnerability but no remote code execution due to use of
     CONFIG_CC_STACKPROTECTOR. [bnc#1057389]


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Workstation Extension 12-SP2:

      zypper in -t patch SUSE-SLE-WE-12-SP2-2017-1561=1

   - SUSE Linux Enterprise Software Development Kit 12-SP2:

      zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-1561=1

   - SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

      zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-1561=1

   - SUSE Linux Enterprise Server 12-SP2:

      zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-1561=1

   - SUSE Linux Enterprise Live Patching 12:

      zypper in -t patch SUSE-SLE-Live-Patching-12-2017-1561=1

   - SUSE Linux Enterprise High Availability 12-SP2:

      zypper in -t patch SUSE-SLE-HA-12-SP2-2017-1561=1

   - SUSE Linux Enterprise Desktop 12-SP2:

      zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-1561=1

   - SUSE Container as a Service Platform ALL:

      zypper in -t patch SUSE-CAASP-ALL-2017-1561=1

   - OpenStack Cloud Magnum Orchestration 7:

      zypper in -t patch SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1561=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Workstation Extension 12-SP2 (x86_64):

      kernel-default-debuginfo-4.4.74-92.38.1
      kernel-default-debugsource-4.4.74-92.38.1
      kernel-default-extra-4.4.74-92.38.1
      kernel-default-extra-debuginfo-4.4.74-92.38.1

   - SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le s390x x86_64):

      kernel-obs-build-4.4.74-92.38.1
      kernel-obs-build-debugsource-4.4.74-92.38.1

   - SUSE Linux Enterprise Software Development Kit 12-SP2 (noarch):

      kernel-docs-4.4.74-92.38.3

   - SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

      kernel-default-4.4.74-92.38.1
      kernel-default-base-4.4.74-92.38.1
      kernel-default-base-debuginfo-4.4.74-92.38.1
      kernel-default-debuginfo-4.4.74-92.38.1
      kernel-default-debugsource-4.4.74-92.38.1
      kernel-default-devel-4.4.74-92.38.1
      kernel-syms-4.4.74-92.38.1

   - SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (noarch):

      kernel-devel-4.4.74-92.38.1
      kernel-macros-4.4.74-92.38.1
      kernel-source-4.4.74-92.38.1

   - SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le s390x x86_64):

      kernel-default-4.4.74-92.38.1
      kernel-default-base-4.4.74-92.38.1
      kernel-default-base-debuginfo-4.4.74-92.38.1
      kernel-default-debuginfo-4.4.74-92.38.1
      kernel-default-debugsource-4.4.74-92.38.1
      kernel-default-devel-4.4.74-92.38.1
      kernel-syms-4.4.74-92.38.1

   - SUSE Linux Enterprise Server 12-SP2 (noarch):

      kernel-devel-4.4.74-92.38.1
      kernel-macros-4.4.74-92.38.1
      kernel-source-4.4.74-92.38.1

   - SUSE Linux Enterprise Server 12-SP2 (s390x):

      kernel-default-man-4.4.74-92.38.1

   - SUSE Linux Enterprise Live Patching 12 (x86_64):

      kgraft-patch-4_4_74-92_38-default-1-2.1

   - SUSE Linux Enterprise High Availability 12-SP2 (ppc64le s390x x86_64):

      cluster-md-kmp-default-4.4.74-92.38.1
      cluster-md-kmp-default-debuginfo-4.4.74-92.38.1
      cluster-network-kmp-default-4.4.74-92.38.1
      cluster-network-kmp-default-debuginfo-4.4.74-92.38.1
      dlm-kmp-default-4.4.74-92.38.1
      dlm-kmp-default-debuginfo-4.4.74-92.38.1
      gfs2-kmp-default-4.4.74-92.38.1
      gfs2-kmp-default-debuginfo-4.4.74-92.38.1
      kernel-default-debuginfo-4.4.74-92.38.1
      kernel-default-debugsource-4.4.74-92.38.1
      ocfs2-kmp-default-4.4.74-92.38.1
      ocfs2-kmp-default-debuginfo-4.4.74-92.38.1

   - SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

      kernel-default-4.4.74-92.38.1
      kernel-default-debuginfo-4.4.74-92.38.1
      kernel-default-debugsource-4.4.74-92.38.1
      kernel-default-devel-4.4.74-92.38.1
      kernel-default-extra-4.4.74-92.38.1
      kernel-default-extra-debuginfo-4.4.74-92.38.1
      kernel-syms-4.4.74-92.38.1

   - SUSE Linux Enterprise Desktop 12-SP2 (noarch):

      kernel-devel-4.4.74-92.38.1
      kernel-macros-4.4.74-92.38.1
      kernel-source-4.4.74-92.38.1

   - SUSE Container as a Service Platform ALL (x86_64):

      kernel-default-4.4.74-92.38.1
      kernel-default-debuginfo-4.4.74-92.38.1
      kernel-default-debugsource-4.4.74-92.38.1

   - OpenStack Cloud Magnum Orchestration 7 (x86_64):

      kernel-default-4.4.74-92.38.1
      kernel-default-debuginfo-4.4.74-92.38.1
      kernel-default-debugsource-4.4.74-92.38.1


References:

   https://www.suse.com/security/cve/CVE-2017-1000251.html
   https://bugzilla.suse.com/1057389

- -- 

   SUSE Security Update: Security update for the Linux Kernel
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:2523-1
Rating:             important
References:         #1057389 
Cross-References:   CVE-2017-1000251
Affected Products:
                    SUSE Linux Enterprise Workstation Extension 12-SP3
                    SUSE Linux Enterprise Software Development Kit 12-SP3
                    SUSE Linux Enterprise Server 12-SP3
                    SUSE Linux Enterprise Live Patching 12-SP3
                    SUSE Linux Enterprise High Availability 12-SP3
                    SUSE Linux Enterprise Desktop 12-SP3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:


   The SUSE Linux Enterprise 12 SP3 kernel was updated to receive the
   following security fixes:

   - CVE-2017-1000251: The native Bluetooth stack in the Linux Kernel was
     vulnerable to a stack overflow while processing L2CAP configuration
     responses, resulting in a potential remote denial-of-service
     vulnerability but no remote code execution due to use of
     CONFIG_CC_STACKPROTECTOR. [bnc#1057389]


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Workstation Extension 12-SP3:

      zypper in -t patch SUSE-SLE-WE-12-SP3-2017-1562=1

   - SUSE Linux Enterprise Software Development Kit 12-SP3:

      zypper in -t patch SUSE-SLE-SDK-12-SP3-2017-1562=1

   - SUSE Linux Enterprise Server 12-SP3:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-2017-1562=1

   - SUSE Linux Enterprise Live Patching 12-SP3:

      zypper in -t patch SUSE-SLE-Live-Patching-12-SP3-2017-1562=1

   - SUSE Linux Enterprise High Availability 12-SP3:

      zypper in -t patch SUSE-SLE-HA-12-SP3-2017-1562=1

   - SUSE Linux Enterprise Desktop 12-SP3:

      zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2017-1562=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Workstation Extension 12-SP3 (x86_64):

      kernel-default-debuginfo-4.4.82-6.6.1
      kernel-default-debugsource-4.4.82-6.6.1
      kernel-default-extra-4.4.82-6.6.1
      kernel-default-extra-debuginfo-4.4.82-6.6.1

   - SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le s390x x86_64):

      kernel-obs-build-4.4.82-6.6.1
      kernel-obs-build-debugsource-4.4.82-6.6.1

   - SUSE Linux Enterprise Software Development Kit 12-SP3 (noarch):

      kernel-docs-4.4.82-6.6.3

   - SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

      kernel-default-4.4.82-6.6.1
      kernel-default-base-4.4.82-6.6.1
      kernel-default-base-debuginfo-4.4.82-6.6.1
      kernel-default-debuginfo-4.4.82-6.6.1
      kernel-default-debugsource-4.4.82-6.6.1
      kernel-default-devel-4.4.82-6.6.1
      kernel-syms-4.4.82-6.6.1

   - SUSE Linux Enterprise Server 12-SP3 (noarch):

      kernel-devel-4.4.82-6.6.1
      kernel-macros-4.4.82-6.6.1
      kernel-source-4.4.82-6.6.1

   - SUSE Linux Enterprise Server 12-SP3 (s390x):

      kernel-default-man-4.4.82-6.6.1

   - SUSE Linux Enterprise Live Patching 12-SP3 (x86_64):

      kgraft-patch-4_4_82-6_6-default-1-2.1
      kgraft-patch-4_4_82-6_6-default-debuginfo-1-2.1

   - SUSE Linux Enterprise High Availability 12-SP3 (ppc64le s390x x86_64):

      cluster-md-kmp-default-4.4.82-6.6.1
      cluster-md-kmp-default-debuginfo-4.4.82-6.6.1
      dlm-kmp-default-4.4.82-6.6.1
      dlm-kmp-default-debuginfo-4.4.82-6.6.1
      gfs2-kmp-default-4.4.82-6.6.1
      gfs2-kmp-default-debuginfo-4.4.82-6.6.1
      kernel-default-debuginfo-4.4.82-6.6.1
      kernel-default-debugsource-4.4.82-6.6.1
      ocfs2-kmp-default-4.4.82-6.6.1
      ocfs2-kmp-default-debuginfo-4.4.82-6.6.1

   - SUSE Linux Enterprise Desktop 12-SP3 (noarch):

      kernel-devel-4.4.82-6.6.1
      kernel-macros-4.4.82-6.6.1
      kernel-source-4.4.82-6.6.1

   - SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

      kernel-default-4.4.82-6.6.1
      kernel-default-debuginfo-4.4.82-6.6.1
      kernel-default-debugsource-4.4.82-6.6.1
      kernel-default-devel-4.4.82-6.6.1
      kernel-default-extra-4.4.82-6.6.1
      kernel-default-extra-debuginfo-4.4.82-6.6.1
      kernel-syms-4.4.82-6.6.1


References:

   https://www.suse.com/security/cve/CVE-2017-1000251.html
   https://bugzilla.suse.com/1057389

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        http://www.auscert.org.au/render.html?cid=1980

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBWcCrkox+lLeg9Ub1AQiNfw//S+IijQYrZ75JeJHuWIsRnhSeyu+1oeFo
+XygUT0TFmXJ6C6OEgZwF9XMzJpgKK3wXxdV84K25TYAY9tD8OqibC7Kkvn+plSh
nrRnBdMzUltk5yPC9v8/OdmBdMFQzQUwodHbrKshbJOfmUmZdwLu2KTT75sXCRV3
rOXaAlZ7pQ+vqGNaXCxLJXFW3bSnbU9f+G0e3lXaix5uZAMEuI9H/3zszH+Nl6ET
kkmaN4sKiXzs0qlr83RQzWIZoA3H0OHkkWgivb6sm3AQsY1pBUxRFO+9CznsQkqE
Fh7v5655Y266Af/kkBuzniwWcgNbM/egvBWamqqGdaHFgKbQ6sabvPptwirVyIP1
nuT1CeG0Z3/dsUPhe33KQdNb85eMIKKWr3Xucn67x+B1+Gyv5tqpSzEebXKWj3jH
TGSHEEX/zAGaBMb+yA20IH059x1Qg7YGtiSEcoz6Y6zICQfhf68zLVVIyQDRO3v6
iHXu9t6TYtfRRSwpUL+3bNPiG+950NLbCEyzyCeAUnCZK7pJn+QJUBtu/xlJn9Pc
41MhcdupPa+4al6JpiBRIXQT35XMYTzWpgYn+648G5P6nh6D8GypJ3rvpvWdYTHL
mZaU07DLbTlW0g8ovQmE6vyygCyQhfc7tdJTHIPIdfqlFynfHbLDLY0N16uIDs63
jgJMdKZgKCE=
=6NJ9
-----END PGP SIGNATURE-----

« Back to bulletins